@echo off
rem 07-05-2002 JvW Initial version, derived from DFSIMAGE
echo.

if "%0"=="STARTEST"     echo on
if "%0"=="startest"     echo on

if "%OS%"==""        goto notnt
if "%OS%"=="DOS"     goto notnt
if "%OS%"=="MSDOS"   goto notnt
if "%OS%"=="DRDOS"   goto notnt
if "%OS%"=="IBMDOS"  goto notnt
:dfsnt
set dfsexe=dfsnt
goto dfsee
:notnt
if "%OS2_SHELL%"=="" goto notos2
:dfsnt
set dfsexe=dfs
goto dfsee
:notos2
set dfsexe=dfsmdos
:dfsee

if "%1" == "?"   goto usage
if "%1" == "/?"  goto usage
if "%1" == "-?"  goto usage

%dfsexe% -b -q query RValid
if not errorlevel 1 goto work
echo.
echo NOTE: Your DFSee version is not properly registred, this will
echo       require you to press [Space-bar] a few times  ...
echo.

:work
%dfsexe% -b -w- -Q say Hello from the %0 sample script
rem
rem do you DFSee work here ... (see DFSUNFD and DFSIMAGE for examples)
goto end

:usage
echo Describe what the script will do here
echo.
echo Usage:  %0  Describe how to use parameters with your script here
echo.
echo         param1    =  First parameter
echo.
echo Examples:
echo  %0     a-param    Use the script with a-param
:end
